- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# AttributeBoolCollection Class Reference

Search for all occurrences

## Detailed Description

This attribute is a collection of bools.

Definition at line 1074 of file node.h.

`#include <node.h>`

Inheritance diagram for AttributeBoolCollection:
[legend]

List of all members.

## Public Member Functions
| AttributeBoolCollection (Node *pOwner, const QString &sID)
void | Clear (void)
void | SetValue (unsigned int iIndex, bool bValue, bool bInternal=false)
bool | Value (unsigned int iIndex) const
int | AddBool (const QString &sName, bool bValue=false)
unsigned int | BoolCount (void) const
void | SetBoolName (unsigned int iIndex, const QString &sName)
QString | BoolName (unsigned int iIndex) const

## Constructor & Destructor Documentation

AttributeBoolCollection | ( | Node * | pOwner,
|  | const QString & | sID
| ) |  |

## Member Function Documentation

void Clear | ( | void |  | ) |

Search for all occurrences

void SetValue | ( | unsigned int | iIndex,
|  | bool | bValue,
|  | bool | bInternal = `false`
| ) |  |

Search for all occurrences

bool Value | ( | unsigned int | iIndex | ) | const

Search for all occurrences

int AddBool | ( | const QString & | sName,
|  | bool | bValue = `false`
| ) |  |

Search for all occurrences

unsigned int BoolCount | ( | void |  | ) | const

Search for all occurrences

void SetBoolName | ( | unsigned int | iIndex,
|  | const QString & | sName
| ) |  |

Search for all occurrences

QString BoolName | ( | unsigned int | iIndex | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- Mudbox/node.h

AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection
AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection AttributeBoolCollection